Nieuws:

Welkom, Gast. Alsjeblieft inloggen of registreren.
Heb je de activerings-mail niet ontvangen?

Auteur Topic: Fotoalbum software 32 bit op 64 bit versie Ubuntu installeren  (gelezen 971 keer)

Offline kbra

  • Lid
  • Steunpunt: Nee
Dag,
Onlangs 14.04 LTS geïnstalleerd. Ik wil weer opnieuw Fotoalbum.nl installeren. Bij de installatie op 12.04 LTS lukte dat in eerste instantie ook niet. Door meedenken van een aantal gebruikers bleek dat de geleverde software een 32 bit versie is.
Om het werkend te krijgen toen (dus op 12.04 LTS) moest ik eerst het commando:

sudo apt-get install ia32-libs

uitvoeren, wat de oplossing van het probleem was.

Als ik dat nu ook doe op 14.04 LTS krijg ik de melding:

Pakketlijsten worden ingelezen... Klaar
Boom van vereisten wordt opgebouwd       
De status informatie wordt gelezen... Klaar
Pakket ia32-libs is niet beschikbaar, maar er wordt naar verwezen door
een ander pakket. Dit kan betekenen dat het pakket ontbreekt,
verouderd is, of alleen via een andere bron beschikbaar is
Echter, de volgende pakketten vervangen dit:
  lib32z1 lib32ncurses5 lib32bz2-1.0

E: Pakket 'ia32-libs' heeft geen kandidaat voor installatie

Er worden zo te zien drie bestanden genoemd; wat kan ik nu het beste doen; alle drie de bestanden installeren?
Kan dat in een keer? Of een van de drie?

NB. Fotoalbum laat zich ook nu dus niet installeren. Zelfde melding als in eerder Topic:

http://forum.ubuntu-nl.org/index.php?topic=79999.msg872237#msg872237

Bedankt alvast

Offline Vistaus

  • Webteam
    • vistaus
  • Steunpunt: Nee
Re: Fotoalbum software 32 bit op 64 bit versie Ubuntu installeren
« Reactie #1 Gepost op: 2014/08/08, 12:49:59 »
ia32-libs wordt niet meer gebruikt in 14.04 omdat 14.04 multiarch is. Alle 32-bits-pakketten zijn nu dus los te installeren door pakketten met de naam lib32* en naamvanpakket:i386 te installeren.

Offline kbra

  • Lid
  • Steunpunt: Nee
Re: Fotoalbum software 32 bit op 64 bit versie Ubuntu installeren
« Reactie #2 Gepost op: 2014/08/08, 12:58:15 »
Dank Vistaus,

Worden er inderdaad drie pakketten genoemd en welke beveel je aan om te installeren?

Offline kbra

  • Lid
  • Steunpunt: Nee
Re: Fotoalbum software 32 bit op 64 bit versie Ubuntu installeren
« Reactie #3 Gepost op: 2014/08/11, 15:30:37 »
De drie genoemde pakketten   lib32z1 lib32ncurses5 lib32bz2-1.0 geïnstalleerd en Fotoalbum ook.
Bij het opstarten van Fotoalbum:

./Fotoalbum.nl: error while loading shared libraries: libstdc++.so.6: cannot open shared object file: No such file or directory

Is het ontbrekende ook een pakket dat ik kan installeren?
 

Offline Gymnasiast

  • Lid
  • Steunpunt: Nee
Re: Fotoalbum software 32 bit op 64 bit versie Ubuntu installeren
« Reactie #4 Gepost op: 2014/08/11, 16:34:51 »
De drie genoemde pakketten   lib32z1 lib32ncurses5 lib32bz2-1.0 geïnstalleerd en Fotoalbum ook.
Bij het opstarten van Fotoalbum:

./Fotoalbum.nl: error while loading shared libraries: libstdc++.so.6: cannot open shared object file: No such file or directory

Is het ontbrekende ook een pakket dat ik kan installeren?
Ja, namelijk het pakket libstdc++6:i386

In de terminal installeer je dat als volgt:
sudo apt-get install libstdc++6:i386
NOBODY expects the Spanish Inquisition!

Offline kbra

  • Lid
  • Steunpunt: Nee
Re: Fotoalbum software 32 bit op 64 bit versie Ubuntu installeren
« Reactie #5 Gepost op: 2014/08/11, 18:43:26 »
helaas, pakket toegevoegd maar nu de melding:
./Fotoalbum.nl: error while loading shared libraries: libX11.so.6: cannot open shared object file: No such file or directory

Commando sudo apt-get install libX11.so.6 (het ontbrekende pakket):

Pakketlijsten worden ingelezen... Klaar
Boom van vereisten wordt opgebouwd       
De status informatie wordt gelezen... Klaar
E: Kan pakket libX11.so.6 niet vinden
E: Kon geen enkel pakket vinden bij regex 'libX11.so.6'

Maakt het niet uit dat ik een AMD processor heb?
Zo ja, welke pakket moet ik dan hebben?

Offline Vistaus

  • Webteam
    • vistaus
  • Steunpunt: Nee
Re: Fotoalbum software 32 bit op 64 bit versie Ubuntu installeren
« Reactie #6 Gepost op: 2014/08/11, 21:04:32 »
AMD en Intel zijn allebei 64-bit en ondersteunen dus ook 32-bit. i386 is alleen maar een naam, geen Intel-ding.

sudo apt-get install libx11-6:i386

moet je nu uitvoeren.

Offline Nately

  • Lid
  • Steunpunt: Nee
Re: Fotoalbum software 32 bit op 64 bit versie Ubuntu installeren
« Reactie #7 Gepost op: 2014/08/16, 20:54:43 »
Hallo,

Ik heb hetzelfde probleem met Fotoalbum.nl. Echter bij mij verloopt de installatie wel normaal maar kan het programma vervolgens niet gestart worden. Bij het starten krijg ik de melding: 'error while loading shared libraries: libgomp.so.1: cannot open shared object file: No such file or directory'. Raar genoeg staat het bestand gewoon in /usr/lib/x86_64-linux-gnu. Blijkbaar wordt daar niet gezocht. Ook ik gebruik 14.04 LTS 64-bit. Op 12.04 Werkte dit programma feilloos en helaas moet ik nog een album afmaken.
Nog suggesties?

Bedankt,
Nately

Offline niekn

  • Lid
    • omega-xis
  • Steunpunt: Nee
Re: Fotoalbum software 32 bit op 64 bit versie Ubuntu installeren
« Reactie #8 Gepost op: 2014/08/18, 12:22:28 »
joepie dependency-hell!!

/usr/lib/x86_64-linux-gnu = 64-bit
/usr/lib/i386-linux-gnu = 32-bit

sudo apt-get install libgomp1:i386 (en er gaan er nog meer komen!!)
als je die van /usr/lib/x86_64-linux-gnu gebruikt met LD_PRELOAD krijg je de error "wrong elfclass -ELFCLASS64" (64-bit lib met 32-bit programma)

Offline kbra

  • Lid
  • Steunpunt: Nee
Re: Fotoalbum software 32 bit op 64 bit versie Ubuntu installeren
« Reactie #9 Gepost op: 2014/08/19, 12:01:48 »
AMD en Intel zijn allebei 64-bit en ondersteunen dus ook 32-bit. i386 is alleen maar een naam, geen Intel-ding.

sudo apt-get install libx11-6:i386

moet je nu uitvoeren.

Dat gedaan. Bij opstart Fotoalbum:

./Fotoalbum.nl: error while loading shared libraries: libfontconfig.so.1: cannot open shared object file: No such file or directory

sudo apt-get install libfontconfig.so.1

geeft als uitkomst:
E: Kan pakket libfontconfig.so.1 niet vinden
E: Kon geen enkel pakket vinden bij regex 'libfontconfig.so.1'

Wie heeft nog suggesties??